import { ChangeDetectorRef, TemplateRef } from '@angular/core';
import { IScale } from "../../models";
import * as i0 from "@angular/core";
export declare class TimelineDateMarkerComponent {
    private _cdr;
    isInScaleRange: boolean;
    leftPosition: number;
    headerHeight: number;
    customTemplate: TemplateRef<{
        leftPosition: number;
    }> | undefined;
    set scale(scale: IScale);
    constructor(_cdr: ChangeDetectorRef);
    private _checkIsInScaleRange;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelineDateMarkerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimelineDateMarkerComponent, "timeline-date-marker", never, { "leftPosition": { "alias": "leftPosition"; "required": false; }; "headerHeight": { "alias": "headerHeight"; "required": false; }; "customTemplate": { "alias": "customTemplate"; "required": false; }; "scale": { "alias": "scale"; "required": false; }; }, {}, never, never, false, never>;
}
