import { ITimelineItem, IItemsIterator } from "../models";
export declare class ItemsIterator implements IItemsIterator {
    private _items;
    get items(): ITimelineItem[];
    setItems(items: ITimelineItem[]): void;
    isEmpty(): boolean;
    getFirstItem(onlyVisible: boolean): ITimelineItem;
    getLastItem(onlyVisible: boolean): ITimelineItem;
    forEach(handler: (item: ITimelineItem, parent: (ITimelineItem | null)) => void, onlyVisible?: boolean): void;
    private _createItemsLevels;
    private _createItemLevels;
    private _isItemsCollides;
    private _validate;
    private _removeItemDates;
}
