import { BaseScaleGenerator } from './base-scale-generator';
import { DateInput, IScaleGenerator, IScaleGeneratorConfig, IScaleGroup } from '../models';
import { InjectionToken } from "@angular/core";
import * as i0 from "@angular/core";
export declare const DAY_SCALE_GENERATOR_CONFIG: InjectionToken<IScaleGeneratorConfig>;
export declare class DefaultDayScaleGenerator extends BaseScaleGenerator implements IScaleGenerator {
    protected _getConfig(): IScaleGeneratorConfig;
    protected _validateStartDate(startDate: DateInput): Date;
    protected _validateEndDate(endDate: DateInput): Date;
    protected _generateGroups(date: Date): IScaleGroup[];
    protected _getColumnIndex(date: Date): number;
    protected _getNextColumnDate(date: Date): Date;
    static ɵfac: i0.ɵɵFactoryDeclaration<DefaultDayScaleGenerator, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DefaultDayScaleGenerator>;
}
export declare class DayScaleGenerator extends DefaultDayScaleGenerator {
    static ɵfac: i0.ɵɵFactoryDeclaration<DayScaleGenerator, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DayScaleGenerator>;
}
