import { BaseScaleGenerator } from './base-scale-generator';
import { DateInput, IScaleGenerator, IScaleGeneratorConfig, IScaleGroup } from '../models';
import { InjectionToken } from "@angular/core";
import * as i0 from "@angular/core";
export declare const WEEK_SCALE_GENERATOR_CONFIG: InjectionToken<IScaleGeneratorConfig>;
export declare class DefaultWeekScaleGenerator extends BaseScaleGenerator implements IScaleGenerator {
    protected _getConfig(): IScaleGeneratorConfig;
    protected _validateStartDate(startDate: DateInput): Date;
    protected _validateEndDate(endDate: DateInput): Date;
    protected _generateGroups(date: Date): IScaleGroup[];
    protected _getColumnIndex(date: Date): number;
    protected _getNextColumnDate(date: Date): Date;
    static ɵfac: i0.ɵɵFactoryDeclaration<DefaultWeekScaleGenerator, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DefaultWeekScaleGenerator>;
}
export declare class WeekScaleGenerator extends DefaultWeekScaleGenerator {
    static ɵfac: i0.ɵɵFactoryDeclaration<WeekScaleGenerator, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WeekScaleGenerator>;
}
