import { BaseViewModeAdaptor } from "./base-view-mode-adaptor";
import { IViewModeAdaptor } from "../models";
export declare class MonthsViewModeAdaptor extends BaseViewModeAdaptor implements IViewModeAdaptor {
    getBeginningDateOfColumn(date: Date): Date;
    getEndingDateOfColumn(date: Date): Date;
    getUniqueColumnsWithinRange(startDate: Date, endDate: Date): number;
    getDurationInColumns(startDate: Date, endDate: Date): number;
    addColumnToDate(date: Date, months: number): Date;
    private _getCountOfFullMonths;
}
