import { OnChanges, SimpleChanges } from '@angular/core';
import { IIdObject, ITimelineZoom, IScale, IScaleColumn, IScaleFormatter } from "../../models";
import * as i0 from "@angular/core";
interface IGeneratedGroup {
    id: string;
    name: string;
    width: number;
}
export declare class TimelineScaleHeaderComponent implements OnChanges {
    height: number;
    scale: IScale;
    formatter: IScaleFormatter;
    locale: string;
    zoom: ITimelineZoom<any>;
    groups: IGeneratedGroup[];
    get columns(): IScaleColumn[];
    ngOnChanges(changes: SimpleChanges): void;
    trackById(index: number, item: IIdObject): number | string;
    private _groupColumnGroups;
    private _generateGroups;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimelineScaleHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimelineScaleHeaderComponent, "timeline-scale-header", never, { "height": { "alias": "height"; "required": false; }; "scale": { "alias": "scale"; "required": false; }; "formatter": { "alias": "formatter"; "required": false; }; "locale": { "alias": "locale"; "required": false; }; "zoom": { "alias": "zoom"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
