import { DateInput } from "../models";
export declare class DateHelpers {
    static generateDateId(date: Date): string;
    static lastDayOfMonth(date: DateInput): Date;
    static getDaysInMonth(date: Date): number;
    static firstMondayOfMonth(date: Date): Date;
    static firstDayOfWeek(date: DateInput): Date;
    static lastDayOfWeek(date: DateInput): Date;
    static dayBeginningTime(day: Date): Date;
    static dayEndingTime(day: Date): Date;
}
export declare enum MillisecondsToTime {
    Minute = 60000,
    Day = 86400000,
    Week = 604800000
}
